package gui;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

//library imports
import standard.EffectParameters;

/**
 *  Specifies the interface for listeneners of a {@code PropertiesPanel} object.
 **/
public interface IPropertiesPanelListener {

  /**
   *   The changes in the effect properties that were made in the properties panel are communicated to the listener.
   *
   *   @param pEffectParameters The effect parameter set that is currently represented by the properties panel.
   **/
  public void applyChanges(EffectParameters pEffectParameters);

}