package gui;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *  Specifies the interface for listeneners of a {@code SizeModePanel} object.
 **/
public interface ISizeModePanelListener {
  
  /**
   *   The changes of the size mode that were made in the {@code SizeModePanel} are communicated to the listener.
   *
   *   @param iSizeMode The mode of the size. 
   *   @param iFixedWidth The width in pixels if a fixed size is set.
   *   @param iFixedHeight The height in pixels if a fixed size is set.
   **/
  public void applySizeModeChanges(int iSizeMode, int iFixedWidth, int iFixedHeight);
}