package gui.io;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Color;

/**
 *  Interface for all classes that should listen to {@code ImageDisplay} objects.
 **/
public interface IImageDisplayListener {

  /** 
   *  Informs the listener that a new image has to be loaded. The necessary information can be fetched from specified {@code ImageDisplay} object.
   *
   *  @param pImageDisplay The {@code ImageDisplay} object holding the image information.
   **/
  public void imageLoadRequested(ImageDisplay pImageDisplay);
}