package standard;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.image.BufferedImage;


/**
 *   This interface should be implemented by all classes that listen to the completion of 
 *   an Image Effect rendering process.
 *
 *   <br><br>Written by J&uuml;rgen Platzer.<br>
 *   Tested by J&uuml;rgen Platzer.<br>
 *   Documented by J&uuml;rgen Platzer.
 *
 **/
public interface IImageEffectListener {


  /**
   *   This method is called when the rendering of the image effect was successfully finished. 
   *
   *   @param pImage    The rendered image.
   **/
  public void setEffectImage(BufferedImage pImage);

  

}
