package standard;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

 
/**
 *  Interface to define the methods for interpolation classes. 
 **/
public interface IInterpolated<T> {

  /**
   *  Returns a linearly interpolated version of this object. 
   *
   *  @param pOtherObject The second object that should be used for the interpolation calculation. 
   *  @param dLambda A double value between 0 and 1. 0 means that the value the current object is use. 1 means that the value of second object is used.
   *
   *  @return An linearly interpolated version of this object. 
   **/
  public T interpolateLinearly(T pOtherObject, double dLambda);

  /*public <T extends IInterpolated> T getLinearInterpolatedObject( double dTime0,
                                                                double dTime1,
                                                                T pObject1,
                                                                double dCurrentTime);*/

}