package standard;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of JFXLibrary.
 *  
 *  JFXLibrary is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JFXLibrary is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JFXLibrary.  If not, see <http://www.gnu.org/licenses/>.
 */

//standard imports
import java.util.Hashtable;
import java.util.Enumeration;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

//library imports
//import gui.util.IntegerSliderPanel;


/**
 *  Represents an image or video effect parameter that can have several options as values. 
 *  TO DO: This class is not yet fully implemented!!!
 **/
public class OptionParameter implements ActionListener {


  /*** value variables ***/
  private Hashtable<String, String> m_pAvailableOptions; //keys and label values for options
  private String[] m_pOptionValues;
  
  private double[] m_pTimestamps;

  /*** gui variables ***/


  /////////////////////////
  // CONSTRUCTOR         //
  /////////////////////////
  /**
   *  Creates an {@code OptionsParameter} object with the specified option values. TO DO: Also the current value should be set.
   *  TO DO: It should be possible to say that no value must be chosen. A default value could be defined.   
   *
   * @param m_pOptions The options that should be represented by this {@code OptionParameter} object.
   **/
  public OptionParameter(Hashtable<String, String> m_pOptions) {

    //1. set the member variables
    /*m_pParameterValues = new int[1];
    m_pParameterValues[0] = iValue;
    m_iMinValue = iMinValue;
    m_iMaxValue = iMaxValue;

    //2. validate the variables
    validateTheVariables();

    //3. set the slider panel to null
    m_pSliderPanel = null;*/
  }



  /////////////////////////
  // SET METHODS         //
  /////////////////////////
  /**
   *  Sets the option value of this object by specifying the label of the option. 
   *  TO DO: a flag should be returned, if the value could be set!
   *
   *  @param pLabelValue The label of the option that should be represented by this object. 
   *
   **/
  public void setLabelValue(String pLabelValue) {

    //1. check if the label value can be found in the values
    if (m_pAvailableOptions == null) return;
    pLabelValue = pLabelValue.trim();
    
    Enumeration<String> pKeys = m_pAvailableOptions.keys();
    String pFoundKey = null;
    
    while (pKeys.hasMoreElements()) {
      String pKey = pKeys.nextElement();
      String pValue = m_pAvailableOptions.get(pKey).trim();
      if (pValue.equals(pLabelValue)) {
        pFoundKey = pKey;
        break;
      }
    }
    
    if (pFoundKey == null) return;

    //2. set the value
    m_pOptionValues[0] = pFoundKey;

    //3. gui element -> TO DO
    /*if (m_pSliderPanel != null) {
      m_pSliderPanel.setValue(m_pParameterValues[0]);
    }*/


  }
  
  


  /////////////////////////
  // GET METHODS         //
  /////////////////////////
  /*public int getValue() {
    return m_pParameterValues[0];
  }
  
  public int getValue(double dTime) {
    //TO DO
    return m_pParameterValues[0];
  }
*/

  

  


  ////////////////////////////////
  // ACTION LISTENER INTERFACE  //
  ////////////////////////////////
  /**
   *  Not implemented at the moment. 
   *
   *  @param e The event that triggers this method. 
   **/
  public void actionPerformed(ActionEvent e) {

  /*  //1. make some checks
    if (m_pSliderPanel == null) return;


    //2. set the value
    m_pParameterValues[0] = m_pSliderPanel.getValue();
*/
  }



  ////////////////////////////////
  // PRIVATE METHODS            //
  ////////////////////////////////
  private void validateTheVariables() {

  
  }


}
